'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgPhoneMissed = function SvgPhoneMissed(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "m6.497 5.499 5.498 5.498L18.992 4l-1-1-5.997 5.998-4.498-4.499h3.498V3H4.998v5.998h1.5zM23.7 16.664a16.96 16.96 0 0 0-11.705-4.668c-4.538 0-8.656 1.78-11.705 4.668-.18.18-.29.43-.29.71s.11.53.29.71l2.479 2.479c.18.18.43.29.71.29.27 0 .52-.11.7-.28.789-.74 1.689-1.36 2.658-1.85.33-.16.56-.5.56-.9v-3.098c1.45-.48 2.999-.73 4.598-.73 1.6 0 3.149.25 4.598.72v3.099c0 .39.23.74.56.9.98.49 1.87 1.119 2.669 1.849.18.18.43.28.7.28.28 0 .53-.11.71-.29l2.478-2.48c.18-.18.29-.43.29-.709 0-.28-.12-.52-.3-.7",
    clipRule: "evenodd"
  })));
};

exports.ReactComponent = SvgPhoneMissed;
